Unfortunately, the Heidi API and Widget are no longer available for future integrations in Australia and New Zealand. If you are a current Heidi customer looking to integrate, reach out to your Customer Success representative. Otherwise, contact our team to find out what this means for you.
Heidi API
Consult notes

Consult notes

Generate Consult Note

Method: POST

Path: /sessions/{session_id}/consult-note

Description: Generates a consult note using a Heidi template.

Request

POST /sessions/1234567890/consult-note
Authorization: Bearer <your_token>
Content-Type: application/json
 
{
  "generation_method":"TEMPLATE",
  "addition":"",
  "template_id":"659b8042fe093d6592b41ef7",
  "voice_style":"GOLDILOCKS",
  "brain":"LEFT"
}

Request Fields:

  • generation_method (string, required): The method for generating the consult note. Can be one of TEMPLATE
  • template_id (string, optional): The ID of the template to use for note generation. Required when generation_method is TEMPLATE
  • third_party_template (string, optional): Third-party template JSON. Mutually exclusive with template_id
  • addition (string, required): Additional text to include in the note generation
  • voice_style (string, required): The voice style to use for the generated note. Can be one of GOLDILOCKS, DETAILED, BRIEF, SUPER_DETAILED, MY_VOICE. Refer to the Heidi documentation (opens in a new tab) for more information on voice styles
  • brain (string, required, default: LEFT): The brain option to use. Can be one of LEFT, RIGHT. Refer to the Heidi documentation (opens in a new tab) for more information on brain options
  • content_type (string, optional): Content type for the generated note. Can be MARKDOWN or HTML

Response

This endpoint will return a stream of the generated consult note, in the format:

{
  "data": "Consult note text..."
}

Generate Consult Note with a Custom Template

Method: POST

Path: /sessions/${sessionId}/client-customised-template/response

Description: Generates a consult note using a custom JSON template. Note: you will need to generate a free text note using a template before you can generate a structured note using a template.

Request

POST /sessions/1234567890/client-customised-template/response
Authorization: Bearer <your_token>
Content-Type: application/json
 
{
  ...JSON template content
}

Response

This endpoint will return a template JSON response.